Update Lead: Entrata
https://api.propexo.com/v1/leads/entrata/:lead_id| Method |
|---|
| leads/updateLeads |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source. This can only be set if there is not a current lead source.
The first name associated with the lead
The last name associated with the lead
The middle name associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The move-in date associated with the lead
The desired number of bedrooms
The desired number of bathrooms
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Notes associated with the lead
events object[]deprecated
DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead
The Propexo unique identifier for the unit
The PMS id for the event type.
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source. This can only be set if there is not a current lead source.
The first name associated with the lead
The last name associated with the lead
The middle name associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The move-in date associated with the lead
The desired number of bedrooms
The desired number of bathrooms
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Notes associated with the lead
events object[]
The Propexo unique identifier for the unit
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/entrata/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string",
"events": [
{
"unit_id": "string",
"x_type_id": "string",
"x_leasing_agent_id": "string",
"x_sub_type_id": "string",
"x_result_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"notes": "string",
"title": "string",
"reasons_for_event": "string",
"id": "string"
}
]
}
}